# Uses of Interface
org.eclipse.birt.core.framework.IPlatformContext

Packages that use IPlatformContext
Package
Description
org.eclipse.birt.core.framework
Defines the platform interfaces that allow BIRT to be run in Eclipse and server environments.

## Uses of IPlatformContext in org.eclipse.birt.core.framework

Classes in org.eclipse.birt.core.framework that implement IPlatformContext
Modifier and Type
Class
Description
`class`
`PlatformFileContext`
An platform context that is based on file operations.
`class`
`PlatformServletContext`
An platform context that is based on resource operations instead of file operations.
Methods in org.eclipse.birt.core.framework that return IPlatformContext
Modifier and Type
Method
Description
`IPlatformContext`
PlatformConfig.`getPlatformContext()`
Methods in org.eclipse.birt.core.framework with parameters of type IPlatformContext
Modifier and Type
Method
Description
`void`
PlatformConfig.`setPlatformContext(IPlatformContext context)`